Retrieve a list of Google campaigns or ad groups with reporting data

http
GET https://services.leadconnectorhq.com/ad-publishing/google/reporting/list

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesfRMewNQIxSyZ5R4nQyitAccount identifier
listTypestringYescampaignsReport list type
startDatestringYes2022-01-11Report start date
endDatestringYes2022-01-31Report end date
campaignIdstringNo196684453527082Campaign identifier
typestringYesINTEGRATIONIntegration type

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/google/reporting/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?